Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.coverage.grid
Interface RectifiedGrid

All Superinterfaces:
  Grid

    @UML(identifier="CV_RectifiedGrid",
         specification=ISO_19123)
    public interface RectifiedGrid

extends Grid

Grid for which there is an affine transformation between the grid coordinates and the coordinates of an external coordinate reference system. A rectified grid is defined by an origin in an external coordinate reference system, and a set of offset vectors that specify the direction and distance between grid lines within that external CRS.

NOTE: If the coordinate reference system is related to the earth by a datum, the grid is a georectified grid.

Constraints:

- The dimension of the grid shall be less than or equal to the dimension of the coordinate reference system of the point that is the origin.
- The number of offset vectors shall equal the dimension of the grid.
- The dimension of all offset vectors shall equal the dimension of the coordinate reference system, even if an offset vector is aligned with an axis of the external coordinate system.

Method Summary
`DirectPosition` | `convertCoordinates(GridCoordinates g)` Converts through an affine transform grid coordinates to a direct position.
`List<double[]>` | `getOffsetVectors()` Returns the offset vectors that determine the grid spacing in each direction.
`DirectPosition` | `getOrigin()` Returns the origin of the rectified grid in an external coordinate reference system.
`GridCoordinates` | `inverseConvertCoordinates(DirectPosition p)` Converts through an affine transform a direct position to the grid coordinates of the nearest grid point.

Methods inherited from interface Grid
`getAxisNames, getCells, getDimension, getExtent, getIntersections`

Method Detail

### getOrigin

    @UML(identifier="origin",
         obligation=MANDATORY,
         specification=ISO_19123)
    DirectPosition getOrigin()

  Returns the origin of the rectified grid in an external coordinate reference system.

### getOffsetVectors

    @UML(identifier="offsetVectors",
         obligation=MANDATORY,
         specification=ISO_19123)
    List<double[]> getOffsetVectors()

  Returns the offset vectors that determine the grid spacing in each direction. The vectors are defined in terms of the external coordinate reference system.

### convertCoordinates

    @UML(identifier="coordConv",
         obligation=MANDATORY,
         specification=ISO_19123)
    DirectPosition convertCoordinates(GridCoordinates g)

  Converts through an affine transform grid coordinates to a direct position.

### inverseConvertCoordinates

    @UML(identifier="invCoordConv",
         obligation=MANDATORY,
         specification=ISO_19123)
    GridCoordinates inverseConvertCoordinates(DirectPosition p)

  Converts through an affine transform a direct position to the grid coordinates of the nearest grid point.

  TODO:
    Question (Wim): GridCoordinates are always integers, how to get the not rounded results?
    Martin: The legacy OGC specification defined a "gridToCRS" math transform for that. We may consider to import this element in the proposed set of interfaces.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.